﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Web.Optimization;
using System.Web.Routing;
using System.Web.Http;
using BookStore.Models;

namespace BookStore
{
    public class MvcApplication : System.Web.HttpApplication
    {
        protected void Application_Start()
        {
            GlobalConfiguration.Configure(WebApiConfig.Register);

            AreaRegistration.RegisterAllAreas();
            FilterConfig.RegisterGlobalFilters(GlobalFilters.Filters);
            RouteConfig.RegisterRoutes(RouteTable.Routes);
            BundleConfig.RegisterBundles(BundleTable.Bundles);
        }

        void Session_Start(object sender, EventArgs e)
        {
            User loggedUser;
            using (BookStoreEntities ctx = new BookStoreEntities())
            {
                var results = (from u in ctx.AGET_USER.AsEnumerable()
                               where u.USERID == 15
                               select new Models.User(u));

                loggedUser = results.ToArray().FirstOrDefault();
            }


            HttpContext.Current.Session.Add("UserSession", loggedUser);
        }
    }
}
