﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace BookStore.Models
{
    /* These ViewModel classes contain all of the data needed to display the page for which they represent.
     * They do not contain any special logic other than some that may be in any constructors. */
    public class OrderReportViewModel
    {
        public List<BookOrder> books;
    }

    public class BookOrder : BookModel
    {
        public int quantity = 0;
        public short? userRating = null;
        public string userReview;
        public DateTime dateOrdered;

        public BookOrder(AGET_BOOK b, int q, DateTime date)
            : base(b)
        {
            User loggedInUser = HttpContext.Current.Session["UserSession"] as User;
            quantity = q;
            userRating = (from r in b.AGET_REVIEWS
                          where r.USERID == loggedInUser.id && r.BOOKID == b.BOOKID
                          select r.RATING).FirstOrDefault();

            userReview = (from r in b.AGET_REVIEWS
                          where r.USERID == loggedInUser.id && r.BOOKID == b.BOOKID
                          select r.Text).FirstOrDefault();

            dateOrdered = date;
        }
    }

}